/**   
* @Title:         build.java
* @Package        cn.com.wasu.main.config
* @author         duhuanbiao
* @date           2014年12月15日 上午10:03:44 
* @Description:   
*/
package basic.BuilderTypeManager;

/**
 * 这个类存在的意义目前是"减少业务层代码书写"
 */
public class BuildType {
	public static final String TVID 		= BuilderTypeManager.getInstance().getChannelId();
	public static final String SITE_ID 		= BuilderTypeManager.getInstance().getiBuilderTypeInterface().getSiteId();
	public static final String ManageUrl 	= BuilderTypeManager.getInstance().getiBuilderTypeInterface().getManageUrl();
	public static final String PayUrl    	= BuilderTypeManager.getInstance().getiBuilderTypeInterface().getPayUrl();
	public static final String PlayUrl  	= BuilderTypeManager.getInstance().getiBuilderTypeInterface().getPlayUrl();
	public static final String payTypeUrl 	= BuilderTypeManager.getInstance().getiBuilderTypeInterface().getPayTypeUrl();
	public static final String ChannelId 	= BuilderTypeManager.getInstance().getiBuilderTypeInterface().getChannelId();
	
	/** 
	 * 程序外调默认域名 
	 */
	public static final String HTTP_DOMAIN = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getHTTP_DOMAIN();
	
	/**
	 * 阿里统计appkey
	 * **/
	public static final String appKey = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getAppKey();
	
	/**
	 * 阿里统计appsecret
	 * **/
	public static final String appSecret = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getaAppSecret();
	
	/**开启的统计**/
	public static final int STATISTICS_OPEN = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getStatistics_open();
	
	/**
	 * 首页地址
	 */
	public static final String HOME_URL = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getHome_url();
	
	/**
	 * 追剧url
	 * **/
	public static final String FOCUS_URL= BuilderTypeManager.getInstance().getiBuilderTypeInterface().getFOCUS_URL();
	
	/** 
	 * 统一登录地址 
	 */
	public static final String loginurl = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getLoginurl();
	
	/**
	 * 广告
	 */
	public static String AD = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getAD();

	/**
	 * 升级信息
	 */
	public static final String UPDATE_INFO = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getUpdate_info();

	/**
	 * 是否是launch版本
	 */
	public static final boolean isLauncher = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getIsLauncher();
	
	/** 
	 * 用户中心地址 
	 */
	public static final String UserCenterUrl = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getUserCenterUrl();
	
	/** 
	 * 是否隐藏用户中心
	 */
	public static final boolean HIDE_USERCENTER = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getHide_usercenter();
	
	/**
	 * APP默认配置信息URL
	 */
	public static final String CONFIG_URL = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getConfigUrl();

	/**
	 * 默认用户中心域名
	 */
	public static final String HTTP_USER = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getHttp_user();

	/**
	 * 默认广告域名
	 */
	public static final String HTTP_AD = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getHttp_ad();

	/**
	 * 退出页推荐视频数据获取地址
	 * */
	public static final String Exit_Recommend_Data = BuilderTypeManager.getInstance().getiBuilderTypeInterface().getExit_Recommend_Data();

}